{
    "openapi": "3.0.4",
    "info": {
        "title": "Payments",
        "description": "Call the Payments API to authorize payments, capture authorized payments, refund payments that have already been captured, and show payment information. Use the Payments API in conjunction with the <a href=\"/docs/api/orders/v2/\">Orders API</a>. For more information, see the <a href=\"/docs/checkout/\">PayPal Checkout Overview</a>.",
        "version": "2.13"
    },
    "servers": [
        {
            "url": "https://api-m.paypal.com",
            "description": "Server for https scheme."
        }
    ],
    "tags": [
        {
            "name": "assets",
            "description": "Assets APIs for Checkout"
        },
        {
            "name": "authorizations",
            "description": "Use the `/authorizations` resource to show details for, capture payment for, reauthorize, and void authorized payments."
        },
        {
            "name": "cancel-payment",
            "description": "Use the <code>/cancel-payment</code> resource to cancel an order capture or order authorization by <code>PayPal-Request-Id</code>. The merchant triggers the cancel action."
        },
        {
            "name": "captures",
            "description": "Use the `/captures` resource to show details for and refund a captured payment."
        },
        {
            "name": "find-bin-details",
            "description": "Use the `/find-bin-details` resource to determine PayPal supported networks and retrieve BIN details for given card and payee."
        },
        {
            "name": "find-eligible-methods",
            "description": "Use the `/find-eligible-methods` resource to show list of eligible payment methods for given customer/order context."
        },
        {
            "name": "payment-resource-operations",
            "description": "Use the `/payment-resource-operations` resource to show verifications details."
        },
        {
            "name": "refunds",
            "description": "Use the `/refunds` resource to show refund details."
        }
    ],
    "externalDocs": {
        "url": "/docs/checkout/"
    },
    "paths": {
        "/v2/payments/authorizations/{authorization_id}": {
            "get": {
                "operationId": "authorizations.get",
                "summary": "Show details for authorized payment",
                "description": "Shows details for an authorized payment, by ID.",
                "tags": [
                    "authorizations"
                ],
                "security": [
                    {
                        "Oauth2": [
                            "https://uri.paypal.com/services/payments/payment/authcapture"
                        ]
                    }
                ],
                "parameters": [
                    {
                        "name": "authorization_id",
                        "description": "The ID of the authorized payment for which to show details.",
                        "in": "path",
                        "required": true,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$"
                        },
                        "examples": {
                            "authorizations_get": {
                                "summary": "Show Authorized Payment Details",
                                "description": "Shows details for an authorized payment, by ID.",
                                "value": "0VF52814937998046"
                            },
                            "authorizations_get_with_supplementary_data": {
                                "summary": "Show Authorized Payment Details",
                                "description": "Shows details for an authorized payment, by ID.",
                                "value": "0T620041CK889853A"
                            },
                            "authorizations_get_with_metadata": {
                                "summary": "Show Authorized Payment Details with Metadata",
                                "description": "Shows details for an authorized payment with metadata.",
                                "value": "0VF52814937998046"
                            }
                        }
                    },
                    {
                        "$ref": "#/components/parameters/authorization"
                    },
                    {
                        "$ref": "#/components/parameters/paypal_auth_assertion"
                    }
                ],
                "x-exampleFlows": [
                    {
                        "title": "Show authorized payment details",
                        "description": "Retrieves complete details for an authorized payment by ID.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/authorizations_get"
                        ],
                        "response_example": "responses/200/content/application~1json/examples/authorizations_get"
                    },
                    {
                        "title": "Show authorized payment with supplementary data",
                        "description": "Retrieves details for an authorized payment by ID including supplementary data such as related order information.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/authorizations_get_with_supplementary_data"
                        ],
                        "response_example": "responses/200/content/application~1json/examples/authorizations_get_with_supplementary_data"
                    },
                    {
                        "title": "Show Authorized Payment Details with Metadata",
                        "description": "Shows details for an authorized payment with metadata.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/authorizations_get_with_metadata"
                        ],
                        "response_example": "responses/200/content/application~1json/examples/authorizations_get_with_metadata"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "A successful request returns the HTTP <code>200 OK</code> status code and a JSON response body that shows authorization details.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/authorization-2"
                                },
                                "examples": {
                                    "authorizations_get": {
                                        "summary": "Show Authorized Payment Details",
                                        "description": "Shows details for an authorized payment, by ID.",
                                        "value": {
                                            "id": "0VF52814937998046",
                                            "status": "CREATED",
                                            "amount": {
                                                "value": "10.99",
                                                "currency_code": "USD"
                                            },
                                            "invoice_id": "INVOICE-123",
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "payee": {
                                                "email_address": "merchant@example.com",
                                                "merchant_id": "7KNGBPH2U58GQ"
                                            },
                                            "expiration_time": "2017-10-10T23:23:45Z",
                                            "create_time": "2017-09-11T23:23:45Z",
                                            "update_time": "2017-09-11T23:23:45Z",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046"
                                                },
                                                {
                                                    "rel": "capture",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/capture"
                                                },
                                                {
                                                    "rel": "void",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/void"
                                                },
                                                {
                                                    "rel": "reauthorize",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/reauthorize"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_get_with_metadata": {
                                        "summary": "Show Authorized Payment Details with Metadata",
                                        "description": "Shows details for an authorized payment with metadata.",
                                        "value": {
                                            "id": "0VF52814937998046",
                                            "status": "CREATED",
                                            "amount": {
                                                "value": "10.99",
                                                "currency_code": "USD"
                                            },
                                            "invoice_id": "INVOICE-123",
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "payee": {
                                                "email_address": "merchant@example.com",
                                                "merchant_id": "7KNGBPH2U58GQ"
                                            },
                                            "expiration_time": "2017-10-10T23:23:45Z",
                                            "create_time": "2017-09-11T23:23:45Z",
                                            "update_time": "2017-09-11T23:23:45Z",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046"
                                                },
                                                {
                                                    "rel": "capture",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/capture"
                                                },
                                                {
                                                    "rel": "void",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/void"
                                                },
                                                {
                                                    "rel": "reauthorize",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/reauthorize"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_get_with_supplementary_data": {
                                        "summary": "Show Authorized Payment Details",
                                        "description": "Shows details for an authorized payment, by ID.",
                                        "value": {
                                            "id": "0T620041CK889853A",
                                            "status": "CREATED",
                                            "amount": {
                                                "currency_code": "USD",
                                                "value": "100.00"
                                            },
                                            "invoice_id": "OrderInvoice-23_10_2024_12_27_32_pm",
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "supplementary_data": {
                                                "related_ids": {
                                                    "order_id": "25M43554V9523650M"
                                                }
                                            },
                                            "payee": {
                                                "email_address": "merchant@example.com",
                                                "merchant_id": "YXZY75W2GKDQE"
                                            },
                                            "expiration_time": "2024-11-21T17:27:36Z",
                                            "create_time": "2024-10-23T17:27:36Z",
                                            "update_time": "2024-10-23T17:27:36Z",
                                            "links": [
                                                {
                                                    "href": "https://api-m.sandbox.paypal.com/v2/payments/authorizations/0T620041CK889853A",
                                                    "rel": "self",
                                                    "method": "GET"
                                                },
                                                {
                                                    "href": "https://api-m.sandbox.paypal.com/v2/payments/authorizations/0T620041CK889853A/capture",
                                                    "rel": "capture",
                                                    "method": "POST"
                                                },
                                                {
                                                    "href": "https://api-m.sandbox.paypal.com/v2/payments/authorizations/0T620041CK889853A/void",
                                                    "rel": "void",
                                                    "method": "POST"
                                                },
                                                {
                                                    "href": "https://api-m.sandbox.paypal.com/v2/payments/authorizations/0T620041CK889853A/reauthorize",
                                                    "rel": "reauthorize",
                                                    "method": "POST"
                                                },
                                                {
                                                    "href": "https://api-m.sandbox.paypal.com/v2/checkout/orders/25M43554V9523650M",
                                                    "rel": "up",
                                                    "method": "GET"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "401": {
                        "$ref": "#/components/responses/401_error_response"
                    },
                    "403": {
                        "$ref": "#/components/responses/403_error_response"
                    },
                    "404": {
                        "$ref": "#/components/responses/404_error_response"
                    },
                    "500": {
                        "$ref": "#/components/responses/500_error_response"
                    },
                    "default": {
                        "$ref": "#/components/responses/default_response"
                    }
                }
            }
        },
        "/v2/payments/authorizations/{authorization_id}/capture": {
            "post": {
                "operationId": "authorizations.capture",
                "summary": "Capture authorized payment",
                "description": "Captures an authorized payment, by ID.",
                "tags": [
                    "authorizations"
                ],
                "security": [
                    {
                        "Oauth2": [
                            "https://uri.paypal.com/services/payments/payment/authcapture"
                        ]
                    }
                ],
                "parameters": [
                    {
                        "name": "authorization_id",
                        "description": "The PayPal-generated ID for the authorized payment to capture.",
                        "in": "path",
                        "required": true,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$"
                        },
                        "examples": {
                            "example": {
                                "summary": "Capture Authorized Payment",
                                "description": "The PayPal-generated ID for the authorized payment to capture.",
                                "value": "0VF52814937998046"
                            }
                        }
                    },
                    {
                        "$ref": "#/components/parameters/paypal_request_id"
                    },
                    {
                        "name": "Prefer",
                        "description": "The preferred server response upon successful completion of the request. Value is:<ul><li><code>return=minimal</code>. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the <code>id</code>, <code>status</code> and HATEOAS links.</li><li><code>return=representation</code>. The server returns a complete resource representation, including the current state of the resource.</li></ul>",
                        "in": "header",
                        "required": false,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$",
                            "default": "return=minimal"
                        },
                        "examples": {
                            "authorizations_capture_200_idempotent_response": {
                                "summary": "Capture Authorized Payment - 200 idempotent response",
                                "description": "Captures an authorized payment, by ID.",
                                "value": "return=representation"
                            },
                            "authorizations_capture_with_prefer_header": {
                                "summary": "Capture Authorized Payment with Prefer Request Header",
                                "description": "Captures an authorized payment, by ID. Includes the `Prefer` request header.",
                                "value": "return=representation"
                            },
                            "authorizations_capture_empty_request": {
                                "summary": "Capture Authorized Payment with an empty request",
                                "description": "Captures an authorized payment, by ID.",
                                "value": "return=representation"
                            }
                        }
                    },
                    {
                        "$ref": "#/components/parameters/authorization"
                    },
                    {
                        "$ref": "#/components/parameters/paypal_auth_assertion"
                    }
                ],
                "requestBody": {
                    "required": false,
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/capture_request"
                            },
                            "examples": {
                                "authorizations_capture": {
                                    "summary": "Capture Authorized Payment",
                                    "description": "Captures an authorized payment, by ID.",
                                    "value": {
                                        "amount": {
                                            "value": "10.99",
                                            "currency_code": "USD"
                                        },
                                        "invoice_id": "INVOICE-123",
                                        "final_capture": true,
                                        "note_to_payer": "If the ordered color is not available, we will substitute with a different color free of charge.",
                                        "soft_descriptor": "Bob's Custom Sweaters"
                                    }
                                },
                                "authorizations_capture_200_idempotent_response": {
                                    "summary": "Capture Authorized Payment - 200 idempotent response",
                                    "description": "Captures an authorized payment, by ID.",
                                    "value": {
                                        "amount": {
                                            "value": "1.00",
                                            "currency_code": "USD"
                                        },
                                        "invoice_id": "CaptureInvoice-10142024",
                                        "final_capture": false
                                    }
                                },
                                "authorizations_capture_empty_request": {
                                    "summary": "Capture Authorized Payment with an empty request",
                                    "description": "Captures an authorized payment, by ID.",
                                    "value": { }
                                },
                                "authorizations_capture_with_prefer_header": {
                                    "summary": "Capture Authorized Payment with Prefer Request Header",
                                    "description": "Captures an authorized payment, by ID. Includes the `Prefer` request header.",
                                    "value": {
                                        "amount": {
                                            "value": "10.99",
                                            "currency_code": "USD"
                                        },
                                        "invoice_id": "INVOICE-123",
                                        "final_capture": true
                                    }
                                }
                            }
                        }
                    }
                },
                "x-exampleFlows": [
                    {
                        "title": "Capture authorized payment",
                        "description": "Captures an authorized payment by ID with specified amount and invoice details.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_capture",
                        "response_example": "responses/201/content/application~1json/examples/authorizations_capture"
                    },
                    {
                        "title": "Capture authorized payment with empty request body",
                        "description": "Captures the full authorized amount by ID with an empty request body, using default values.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example",
                            "parameters/@name=='Prefer'/examples/authorizations_capture_empty_request"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_capture_empty_request",
                        "response_example": "responses/201/content/application~1json/examples/authorizations_capture_empty_request"
                    },
                    {
                        "title": "Capture with Prefer header for full representation",
                        "description": "Captures an authorized payment by ID with the Prefer header set to return=representation to get complete capture details in the response.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example",
                            "parameters/@name=='Prefer'/examples/authorizations_capture_with_prefer_header"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_capture_with_prefer_header",
                        "response_example": "responses/201/content/application~1json/examples/authorizations_capture_with_prefer_header"
                    },
                    {
                        "title": "Idempotent capture request (200 response)",
                        "description": "Demonstrates an idempotent capture request where the same PayPal-Request-Id is used, resulting in a 200 OK response with existing capture details.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example",
                            "parameters/@name=='Prefer'/examples/authorizations_capture_200_idempotent_response"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_capture_200_idempotent_response",
                        "response_example": "responses/200/content/application~1json/examples/authorizations_capture_200_idempotent_response"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "A successful request returns the HTTP <code>200 OK</code> status code and a JSON response body that shows captured payment details.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/capture-2"
                                },
                                "examples": {
                                    "authorizations_capture_200_idempotent_response": {
                                        "summary": "Capture Authorized Payment - 200 idempotent response",
                                        "description": "Captures an authorized payment, by ID.",
                                        "value": {
                                            "id": "23T524207X938445J",
                                            "amount": {
                                                "currency_code": "USD",
                                                "value": "100.00"
                                            },
                                            "final_capture": false,
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "seller_receivable_breakdown": {
                                                "gross_amount": {
                                                    "currency_code": "USD",
                                                    "value": "1.00"
                                                },
                                                "paypal_fee": {
                                                    "currency_code": "USD",
                                                    "value": "0.52"
                                                },
                                                "net_amount": {
                                                    "currency_code": "USD",
                                                    "value": "0.48"
                                                },
                                                "exchange_rate": { }
                                            },
                                            "invoice_id": "OrderInvoice-10_10_2024_12_58_20_pm",
                                            "status": "COMPLETED",
                                            "create_time": "2024-10-14T21:29:26Z",
                                            "update_time": "2024-10-14T21:29:26Z",
                                            "links": [
                                                {
                                                    "href": "https://api-m.paypal.com/v2/payments/captures/23T524207X938445J",
                                                    "rel": "self",
                                                    "method": "GET"
                                                },
                                                {
                                                    "href": "https://api-m.paypal.com/v2/payments/captures/23T524207X938445J/refund",
                                                    "rel": "refund",
                                                    "method": "POST"
                                                },
                                                {
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/6DR965477U7140544",
                                                    "rel": "up",
                                                    "method": "GET"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "201": {
                        "description": "A successful request returns the HTTP <code>201 Created</code> status code and a JSON response body that shows captured payment details.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/capture-2"
                                },
                                "examples": {
                                    "authorizations_capture": {
                                        "summary": "Capture Authorized Payment",
                                        "description": "Captures an authorized payment, by ID.",
                                        "value": {
                                            "id": "2GG279541U471931P",
                                            "status": "COMPLETED",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/captures/2GG279541U471931P"
                                                },
                                                {
                                                    "rel": "refund",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/captures/2GG279541U471931P/refund"
                                                },
                                                {
                                                    "rel": "up",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_capture_empty_request": {
                                        "summary": "Capture Authorized Payment with an empty request",
                                        "description": "Captures an authorized payment, by ID.",
                                        "value": {
                                            "id": "7TK53561YB803214S",
                                            "amount": {
                                                "currency_code": "USD",
                                                "value": "100.00"
                                            },
                                            "final_capture": true,
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "seller_receivable_breakdown": {
                                                "gross_amount": {
                                                    "currency_code": "USD",
                                                    "value": "100.00"
                                                },
                                                "paypal_fee": {
                                                    "currency_code": "USD",
                                                    "value": "3.98"
                                                },
                                                "net_amount": {
                                                    "currency_code": "USD",
                                                    "value": "96.02"
                                                },
                                                "exchange_rate": { }
                                            },
                                            "invoice_id": "OrderInvoice-10_10_2024_12_58_20_pm",
                                            "status": "PENDING",
                                            "status_details": {
                                                "reason": "OTHER"
                                            },
                                            "create_time": "2024-10-14T21:37:10Z",
                                            "update_time": "2024-10-14T21:37:10Z",
                                            "links": [
                                                {
                                                    "href": "https://api.msmaster.qa.paypal.com/v2/payments/captures/7TK53561YB803214S",
                                                    "rel": "self",
                                                    "method": "GET"
                                                },
                                                {
                                                    "href": "https://api.msmaster.qa.paypal.com/v2/payments/captures/7TK53561YB803214S/refund",
                                                    "rel": "refund",
                                                    "method": "POST"
                                                },
                                                {
                                                    "href": "https://api.msmaster.qa.paypal.com/v2/payments/authorizations/6DR965477U7140544",
                                                    "rel": "up",
                                                    "method": "GET"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_capture_with_prefer_header": {
                                        "summary": "Capture Authorized Payment with Prefer Request Header",
                                        "description": "Captures an authorized payment, by ID. Includes the `Prefer` request header.",
                                        "value": {
                                            "id": "2GG279541U471931P",
                                            "status": "COMPLETED",
                                            "status_details": { },
                                            "amount": {
                                                "value": "10.99",
                                                "currency_code": "USD"
                                            },
                                            "final_capture": true,
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "seller_receivable_breakdown": {
                                                "gross_amount": {
                                                    "value": "10.99",
                                                    "currency_code": "USD"
                                                },
                                                "paypal_fee": {
                                                    "value": "0.33",
                                                    "currency_code": "USD"
                                                },
                                                "net_amount": {
                                                    "value": "10.66",
                                                    "currency_code": "USD"
                                                }
                                            },
                                            "invoice_id": "INV-123",
                                            "create_time": "2017-09-11T23:24:01Z",
                                            "update_time": "2017-09-11T23:24:01Z",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/captures/2GG279541U471931P"
                                                },
                                                {
                                                    "rel": "refund",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/captures/2GG279541U471931P/refund"
                                                },
                                                {
                                                    "rel": "up",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "The request failed because it is not well-formed or is syntactically incorrect or violates schema.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/error"
                                },
                                "examples": {
                                    "authorizations_capture_400_validation_error": {
                                        "summary": "Capture Authorized Payment - 400 Bad Request - Validation Error",
                                        "description": "This code sample attempts to capture an authorized payment but the request fails because a validation error occurred.",
                                        "value": {
                                            "name": "INVALID_REQUEST",
                                            "message": "Request is not well-formed, syntactically incorrect, or violates schema.",
                                            "debug_id": "90bff07028f7f",
                                            "details": [
                                                {
                                                    "field": "/invoice_id",
                                                    "value": "ABCDEFGHIJKLMNOPQRSTUVXYZABCDEFGHIJKLMNOPQRSTUVXYZABCDEFGHIJKLMNOPQRSTUVXYZABCDEFGHIJKLMNOPQRSTUVXYZ_this_invoice_is_too_long",
                                                    "issue": "INVALID_STRING_MAX_LENGTH",
                                                    "description": "The value of a field is too long."
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "401": {
                        "$ref": "#/components/responses/401_error_response"
                    },
                    "403": {
                        "$ref": "#/components/responses/403_error_response"
                    },
                    "404": {
                        "$ref": "#/components/responses/404_error_response"
                    },
                    "409": {
                        "description": "The server has detected a conflict while processing this request.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/error"
                                },
                                "examples": {
                                    "authorizations_capture_409_conflict": {
                                        "summary": "Capture Authorized Payment - 409 Conflict - Operation in Progress Error",
                                        "description": "This code sample attempts to capture an authorized payment but the request fails because a previous call for the given resource is in progress.",
                                        "value": {
                                            "name": "RESOURCE_CONFLICT",
                                            "debug_id": "b1d1f06c7246c",
                                            "message": "The server has detected a conflict while processing this request.",
                                            "details": [
                                                {
                                                    "issue": "PREVIOUS_REQUEST_IN_PROGRESS",
                                                    "description": "A previous request on this resource is currently in progress. Please wait for some time and try again. It is best to space out the initial and the subsequent request(s) to avoid receiving this error."
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "422": {
                        "description": "The request failed because it is semantically incorrect or failed business validation.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/error"
                                },
                                "examples": {
                                    "authorizations_capture_422_amount_limit_exceeded": {
                                        "summary": "Capture Authorized Payment - 422 Unprocessable Entity - Requested Amount Exceeds Limit Error",
                                        "description": "This code sample attempts to capture an authorized payment but the request fails because the requested amount exceeds the allowable limit.",
                                        "value": {
                                            "name": "UNPROCCESSABLE_ENTITY",
                                            "message": "The requested action could not be completed, is semantically incorrect, or failed business validation.",
                                            "debug_id": "90bff07028f7f",
                                            "details": [
                                                {
                                                    "field": "/amount/value",
                                                    "value": "10.99",
                                                    "issue": "MAX_CAPTURE_AMOUNT_EXCEEDED",
                                                    "description": "Capture amount specified exceeded allowable limit. You can only capture up to the original authorization amount.",
                                                    "location": "body"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_capture_422_expired": {
                                        "summary": "Capture Authorized Payment - 422 Unprocessable Entity - Authorization Expired Error",
                                        "description": "This code sample attempts to capture an authorized payment but the request fails because the authorization expired.",
                                        "value": {
                                            "name": "UNPROCCESSABLE_ENTITY",
                                            "message": "The requested action could not be completed, is semantically incorrect, or failed business validation.",
                                            "debug_id": "90bff07028f7f",
                                            "details": [
                                                {
                                                    "issue": "AUTHORIZATION_EXPIRED",
                                                    "description": "The authorization has expired."
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "500": {
                        "$ref": "#/components/responses/500_error_response"
                    },
                    "default": {
                        "$ref": "#/components/responses/default_response"
                    }
                },
                "callbacks": {
                    "capture_completed": {
                        "$ref": "#/components/callbacks/capture_completed"
                    },
                    "capture_declined": {
                        "$ref": "#/components/callbacks/capture_declined"
                    },
                    "capture_pending_kyc_incomplete": {
                        "$ref": "#/components/callbacks/capture_pending_kyc_incomplete"
                    }
                }
            }
        },
        "/v2/payments/authorizations/{authorization_id}/reauthorize": {
            "post": {
                "operationId": "authorizations.reauthorize",
                "summary": "Reauthorize authorized payment",
                "description": "Reauthorizes an authorized PayPal account payment, by ID. To ensure that funds are still available, reauthorize a payment after its initial three-day honor period expires. Within the 29-day authorization period, you can issue multiple re-authorizations after the honor period expires.<br/><br/>If 30 days have transpired since the date of the original authorization, you must create an authorized payment instead of reauthorizing the original authorized payment.<br/><br/>A reauthorized payment itself has a new honor period of three days.<br/><br/>You can reauthorize an authorized payment from 4 to 29 days after the 3-day honor period. The allowed amount depends on context and geography, for example in US it is up to 115% of the original authorized amount, not to exceed an increase of $75 USD.<br/><br/>Supports only the `amount` request parameter.",
                "tags": [
                    "authorizations"
                ],
                "security": [
                    {
                        "Oauth2": [
                            "https://uri.paypal.com/services/payments/payment/authcapture"
                        ]
                    }
                ],
                "parameters": [
                    {
                        "name": "authorization_id",
                        "description": "The PayPal-generated ID for the authorized payment to reauthorize.",
                        "in": "path",
                        "required": true,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$"
                        },
                        "examples": {
                            "example": {
                                "summary": "Reauthorize Authorized Payment",
                                "description": "The PayPal-generated ID for the authorized payment to reauthorize.",
                                "value": "0VF52814937998046"
                            }
                        }
                    },
                    {
                        "$ref": "#/components/parameters/paypal_request_id"
                    },
                    {
                        "name": "Prefer",
                        "description": "The preferred server response upon successful completion of the request. Value is:<ul><li><code>return=minimal</code>. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the <code>id</code>, <code>status</code> and HATEOAS links.</li><li><code>return=representation</code>. The server returns a complete resource representation, including the current state of the resource.</li></ul>",
                        "in": "header",
                        "required": false,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$",
                            "default": "return=minimal"
                        },
                        "examples": {
                            "authorizations_reauthorize_with_prefer_header": {
                                "summary": "Reauthorize Authorized Payment with Prefer Request Header",
                                "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired. Includes the `Prefer` request header.",
                                "value": "return=representation"
                            }
                        }
                    },
                    {
                        "$ref": "#/components/parameters/authorization"
                    },
                    {
                        "$ref": "#/components/parameters/paypal_auth_assertion"
                    }
                ],
                "requestBody": {
                    "required": false,
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/reauthorize_request"
                            },
                            "examples": {
                                "authorizations_reauthorize": {
                                    "summary": "Reauthorize Authorized Payment",
                                    "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.",
                                    "value": {
                                        "amount": {
                                            "value": "10.99",
                                            "currency_code": "USD"
                                        }
                                    }
                                },
                                "authorizations_reauthorize_200_idempotent_response": {
                                    "summary": "Reauthorize Authorized Payment - 200 idempotent response",
                                    "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.",
                                    "value": {
                                        "amount": {
                                            "value": "10.99",
                                            "currency_code": "USD"
                                        }
                                    }
                                },
                                "authorizations_reauthorize_empty_request": {
                                    "summary": "Reauthorize Authorized Payment with an empty request",
                                    "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.",
                                    "value": { }
                                },
                                "authorizations_reauthorize_with_prefer_header": {
                                    "summary": "Reauthorize Authorized Payment with Prefer Request Header",
                                    "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired. Includes the `Prefer` request header.",
                                    "value": {
                                        "amount": {
                                            "value": "10.99",
                                            "currency_code": "USD"
                                        }
                                    }
                                }
                            }
                        }
                    }
                },
                "x-exampleFlows": [
                    {
                        "title": "Reauthorize payment after honor period",
                        "description": "Reauthorizes an authorized payment by ID after the 3-day honor period has expired but within the 29-day authorization period.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_reauthorize",
                        "response_example": "responses/201/content/application~1json/examples/authorizations_reauthorize"
                    },
                    {
                        "title": "Reauthorize with empty request body",
                        "description": "Reauthorizes an authorized payment by ID with an empty request body to reauthorize the full amount.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_reauthorize_empty_request",
                        "response_example": "responses/201/content/application~1json/examples/authorizations_reauthorize_empty_request"
                    },
                    {
                        "title": "Reauthorize with Prefer header for full representation",
                        "description": "Reauthorizes an authorized payment by ID with the Prefer header set to return=representation to get complete reauthorization details in the response.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example",
                            "parameters/@name=='Prefer'/examples/authorizations_reauthorize_with_prefer_header"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_reauthorize_with_prefer_header",
                        "response_example": "responses/201/content/application~1json/examples/authorizations_reauthorize_with_prefer_header"
                    },
                    {
                        "title": "Idempotent reauthorization request (200 response)",
                        "description": "Demonstrates an idempotent reauthorization request where the same PayPal-Request-Id is used, resulting in a 200 OK response with existing authorization details.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/example"
                        ],
                        "request_example": "requestBody/content/application~1json/examples/authorizations_reauthorize_200_idempotent_response",
                        "response_example": "responses/200/content/application~1json/examples/authorizations_reauthorize_200_idempotent_response"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "A successful request returns the HTTP <code>200 OK</code> status code and a JSON response body that shows the reauthorized payment details.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/authorization-2"
                                },
                                "examples": {
                                    "authorizations_reauthorize_200_idempotent_response": {
                                        "summary": "Reauthorize Authorized Payment - 200 idempotent response",
                                        "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.",
                                        "value": {
                                            "id": "8AA831015G517922L",
                                            "status": "CREATED",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L"
                                                },
                                                {
                                                    "rel": "capture",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/capture"
                                                },
                                                {
                                                    "rel": "void",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/void"
                                                },
                                                {
                                                    "rel": "reauthorize",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/reauthorize"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "201": {
                        "description": "A successful request returns the HTTP <code>201 Created</code> status code and a JSON response body that shows the reauthorized payment details.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/authorization-2"
                                },
                                "examples": {
                                    "authorizations_reauthorize": {
                                        "summary": "Reauthorize Authorized Payment",
                                        "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.",
                                        "value": {
                                            "id": "8AA831015G517922L",
                                            "status": "CREATED",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L"
                                                },
                                                {
                                                    "rel": "capture",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/capture"
                                                },
                                                {
                                                    "rel": "void",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/void"
                                                },
                                                {
                                                    "rel": "reauthorize",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/reauthorize"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_reauthorize_empty_request": {
                                        "summary": "Reauthorize Authorized Payment with an empty request",
                                        "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.",
                                        "value": {
                                            "id": "8AA831015G517922L",
                                            "status": "CREATED",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api.paypal.com/v2/payments/authorizations/8AA831015G517922L"
                                                },
                                                {
                                                    "rel": "capture",
                                                    "method": "POST",
                                                    "href": "https://api.paypal.com/v2/payments/authorizations/8AA831015G517922L/capture"
                                                },
                                                {
                                                    "rel": "void",
                                                    "method": "POST",
                                                    "href": "https://api.paypal.com/v2/payments/authorizations/8AA831015G517922L/void"
                                                },
                                                {
                                                    "rel": "reauthorize",
                                                    "method": "POST",
                                                    "href": "https://api.paypal.com/v2/payments/authorizations/8AA831015G517922L/reauthorize"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_reauthorize_with_prefer_header": {
                                        "summary": "Reauthorize Authorized Payment with Prefer Request Header",
                                        "description": "Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired. Includes the `Prefer` request header.",
                                        "value": {
                                            "id": "8AA831015G517922L",
                                            "status": "CREATED",
                                            "amount": {
                                                "value": "10.99",
                                                "currency_code": "USD"
                                            },
                                            "invoice_id": "INVOICE-123",
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "expiration_time": "2018-10-10T23:23:45Z",
                                            "create_time": "2018-09-11T23:23:45Z",
                                            "update_time": "2018-09-11T23:23:45Z",
                                            "links": [
                                                {
                                                    "rel": "self",
                                                    "method": "GET",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L"
                                                },
                                                {
                                                    "rel": "capture",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/capture"
                                                },
                                                {
                                                    "rel": "void",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/void"
                                                },
                                                {
                                                    "rel": "reauthorize",
                                                    "method": "POST",
                                                    "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/reauthorize"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "The request failed because it is not well-formed or is syntactically incorrect or violates schema.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/error"
                                },
                                "examples": {
                                    "authorizations_reauthorize_400_validation_error": {
                                        "summary": "Reauthorize Authorized Payment - 400 Bad Request - Validation Error",
                                        "description": "This code sample attempts to reauthorize an authorized payment but the request fails due to a validation error.",
                                        "value": {
                                            "name": "INVALID_REQUEST",
                                            "message": "Request is not well-formed, syntactically incorrect, or violates schema.",
                                            "debug_id": "90bff07028f7f",
                                            "details": [
                                                {
                                                    "field": "/amount/value",
                                                    "value": "123456789012345678901234567890123",
                                                    "issue": "INVALID_STRING_MAX_LENGTH",
                                                    "description": "the value of a field is too long.",
                                                    "location": "body"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "401": {
                        "$ref": "#/components/responses/401_error_response"
                    },
                    "403": {
                        "$ref": "#/components/responses/403_error_response"
                    },
                    "404": {
                        "$ref": "#/components/responses/404_error_response"
                    },
                    "422": {
                        "description": "The request failed because it either is semantically incorrect or failed business validation.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/error"
                                },
                                "examples": {
                                    "authorizations_reauthorize_422_auth_currency_mismatch": {
                                        "summary": "Reauthorize Authorized Payment - 422 Unprocessable Entity - Reauthorization Currency Mismatch",
                                        "description": "This code sample attempts to reauthorize an authorized payment but the request fails because reauthorization currency does not matches with the original authorization currency.",
                                        "value": {
                                            "name": "UNPROCESSABLE_ENTITY",
                                            "message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
                                            "debug_id": "90bff07028f7f",
                                            "details": [
                                                {
                                                    "issue": "AUTH_CURRENCY_MISMATCH",
                                                    "description": "The currency specified during reauthorization should be the same as the currency specified in the original authorization. Please check the currency of the authorization for which you are trying to reauthorize and try again."
                                                }
                                            ],
                                            "links": [
                                                {
                                                    "href": "https://developer.paypal.com/docs/api/payments/v2/#error-AUTH_CURRENCY_MISMATCH",
                                                    "rel": "information_link"
                                                }
                                            ]
                                        }
                                    },
                                    "authorizations_reauthorize_422_inside_honor_period": {
                                        "summary": "Reauthorize Authorized Payment - 422 Unprocessable Entity - Authorization in Honor Period Error",
                                        "description": "This code sample attempts to reauthorize an authorized payment but the request fails because the authorization is still within the honor period.",
                                        "value": {
                                            "name": "UNPROCCESSABLE_ENTITY",
                                            "message": "The requested action could not be completed, is semantically incorrect, or failed business validation.",
                                            "debug_id": "90bff07028f7f",
                                            "details": [
                                                {
                                                    "issue": "REAUTHORIZATION_TOO_SOON",
                                                    "description": "Re-authorization is not allowed within the three-day honor period."
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "500": {
                        "$ref": "#/components/responses/500_error_response"
                    },
                    "default": {
                        "$ref": "#/components/responses/default_response"
                    }
                }
            }
        },
        "/v2/payments/authorizations/{authorization_id}/void": {
            "post": {
                "operationId": "authorizations.void",
                "summary": "Void authorized payment",
                "description": "Voids, or cancels, an authorized payment, by ID. You cannot void an authorized payment that has been fully captured.",
                "tags": [
                    "authorizations"
                ],
                "security": [
                    {
                        "Oauth2": [
                            "https://uri.paypal.com/services/payments/payment/authcapture"
                        ]
                    }
                ],
                "parameters": [
                    {
                        "name": "authorization_id",
                        "description": "The PayPal-generated ID for the authorized payment to void.",
                        "in": "path",
                        "required": true,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$"
                        },
                        "examples": {
                            "authorizations_void": {
                                "summary": "Void Authorized Payment",
                                "description": "Voids an authorized PayPal account payment, by ID. You cannot void an authorized payment that has been fully captured.",
                                "value": "0VF52814937998046"
                            },
                            "authorizations_void_200_idempotent_response": {
                                "summary": "Void Authorized Payment",
                                "description": "Voids an authorized PayPal account payment, by ID. You cannot void an authorized payment that has been fully captured.",
                                "value": "5C908745JK343851U"
                            }
                        }
                    },
                    {
                        "$ref": "#/components/parameters/authorization"
                    },
                    {
                        "$ref": "#/components/parameters/paypal_auth_assertion"
                    },
                    {
                        "$ref": "#/components/parameters/paypal_request_id"
                    },
                    {
                        "name": "Prefer",
                        "description": "The preferred server response upon successful completion of the request. Value is:<ul><li><code>return=minimal</code>. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the <code>id</code>, <code>status</code> and HATEOAS links.</li><li><code>return=representation</code>. The server returns a complete resource representation, including the current state of the resource.</li></ul>",
                        "in": "header",
                        "required": false,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$",
                            "default": "return=minimal"
                        }
                    }
                ],
                "x-exampleFlows": [
                    {
                        "title": "Void authorized payment",
                        "description": "Voids or cancels an authorized payment by ID. Returns minimal response with status code 204 No Content.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/authorizations_void"
                        ]
                    },
                    {
                        "title": "Void authorized payment with full representation (200 response)",
                        "description": "Voids or cancels an authorized payment by ID. Returns full representation when Prefer header is set to return=representation, resulting in 200 OK status code.",
                        "parameter_examples": [
                            "parameters/@name=='authorization_id'/examples/authorizations_void_200_idempotent_response"
                        ],
                        "response_example": "responses/200/content/application~1json/examples/authorizations_void_200_idempotent_response"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "A successful request returns the HTTP <code>200 OK</code> status code and a JSON response body that shows authorization details. This response is returned when the Prefer header is set to return=representation.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/authorization-2"
                                },
                                "examples": {
                                    "authorizations_void_200_idempotent_response": {
                                        "summary": "Void Authorized Payment",
                                        "description": "Voids an authorized PayPal account payment, by ID. You cannot void an authorized payment that has been fully captured.",
                                        "value": {
                                            "id": "5C908745JK343851U",
                                            "status": "VOIDED",
                                            "amount": {
                                                "currency_code": "USD",
                                                "value": "100.00"
                                            },
                                            "invoice_id": "OrderInvoice-10_10_2024_12_06_00_pm",
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "expiration_time": "2024-11-08T09:06:03-08:00",
                                            "create_time": "2024-10-10T10:06:03-07:00",
                                            "update_time": "2024-10-10T10:06:19-07:00",
                                            "links": [
                                                {
                                                    "href": "https://api.paypal.com/v2/payments/authorizations/5C908745JK343851U",
                                                    "rel": "self",
                                                    "method": "GET"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "204": {
                        "$ref": "#/components/responses/204_response"
                    },
                    "401": {
                        "$ref": "#/components/responses/401_error_response"
                    },
                    "403": {
                        "$ref": "#/components/responses/403_error_response"
                    },
                    "404": {
                        "$ref": "#/components/responses/404_error_response"
                    },
                    "409": {
                        "description": "The request failed because a previous call for the given resource is in progress.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/error"
                                },
                                "examples": {
                                    "authorizations_void_409_conflict": {
                                        "summary": "Void Authorized Payment - 409 Conflict - Operation in Progress Error",
                                        "description": "This code sample attempts to void an authorized payment but the request fails because a previous call for the given resource is in progress.",
                                        "value": {
                                            "name": "RESOURCE_CONFLICT",
                                            "debug_id": "b1d1f06c7246c",
                                            "message": "The server has detected a conflict while processing this request.",
                                            "details": [
                                                {
                                                    "issue": "PREVIOUS_REQUEST_IN_PROGRESS",
                                                    "description": "A previous request on this resource is currently in progress. Please wait for sometime and try again. It is best to space out the initial and the subsequent request(s) to avoid receiving this error."
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "422": {
                        "description": "The request failed because it either is semantically incorrect or failed business validation.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/error"
                                },
                                "examples": {
                                    "authorizations_void_422_already_captured": {
                                        "summary": "Void Authorized Payment - 422 Unprocessable Entity - Authorization Previously Captured Error",
                                        "description": "This code sample attempts to void an authorized payment but the request fails because has already been captured and cannot be voided.",
                                        "value": {
                                            "name": "UNPROCESSABLE_ENTITY",
                                            "message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
                                            "debug_id": "a7b0de7cb97ad",
                                            "details": [
                                                {
                                                    "issue": "PREVIOUSLY_CAPTURED",
                                                    "description": "Authorization has been previously captured and cannot be voided."
                                                }
                                            ],
                                            "links": [
                                                {
                                                    "href": "https://developer.paypal.com/docs/api/payments/v2/#error-PREVIOUSLY_CAPTURED",
                                                    "rel": "information_link"
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        }
                    },
                    "500": {
                        "$ref": "#/components/responses/500_error_response"
                    },
                    "default": {
                        "$ref": "#/components/responses/default_response"
                    }
                },
                "callbacks": {
                    "authorization_voided": {
                        "$ref": "#/components/callbacks/authorization_voided"
                    },
                    "authorization_voided_expired": {
                        "$ref": "#/components/callbacks/authorization_voided_expired"
                    }
                }
            }
        },
        "/v2/payments/captures/{capture_id}": {
            "get": {
                "operationId": "captures.get",
                "summary": "Show captured payment details",
                "description": "Shows details for a captured payment, by ID.",
                "tags": [
                    "captures"
                ],
                "security": [
                    {
                        "Oauth2": [
                            "https://uri.paypal.com/services/payments/payment/authcapture"
                        ]
                    }
                ],
                "parameters": [
                    {
                        "name": "capture_id",
                        "description": "The PayPal-generated ID for the captured payment for which to show details.",
                        "in": "path",
                        "required": true,
                        "schema": {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 2147483647,
                            "pattern": "^[\\S\\s]*$"
                        },
                        "examples": {
                            "capture_get_with_paypal_fee_receivable_currency": {
                                "summary": "Show Captured Payment Details",
                                "description": "Shows details for a captured payment, by ID.",
                                "value": "74L756601X447022Y"
                            }
                        }
                    },
                    {
                        "$ref": "#/components/parameters/authorization"
                    }
                ],
                "x-exampleFlows": [
                    {
                        "title": "Show captured payment details with paypal fee in receivable currency",
                        "description": "Retrieves complete details for a captured payment by ID with PayPal fee breakdown.",
                        "parameter_examples": [
                            "parameters/@name=='capture_id'/examples/capture_get_with_paypal_fee_receivable_currency"
                        ],
                        "response_example": "responses/200/content/application~1json/examples/capture_get_with_paypal_fee_receivable_currency"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "A successful request returns the HTTP <code>200 OK</code> status code and a JSON response body that shows captured payment details.",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/capture-2"
                                },
                                "examples": {
                                    "capture_get_with_paypal_fee_receivable_currency": {
                                        "summary": "Show Captured Payment Details",
                                        "description": "Shows details for a captured payment, by ID.",
                                        "value": {
                                            "id": "74L756601X447022Y",
                                            "amount": {
                                                "currency_code": "USD",
                                                "value": "100.00"
                                            },
                                            "final_capture": true,
                                            "seller_protection": {
                                                "status": "ELIGIBLE",
                                                "dispute_categories": [
                                                    "ITEM_NOT_RECEIVED",
                                                    "UNAUTHORIZED_TRANSACTION"
                                                ]
                                            },
                                            "seller_receivable_breakdown": {
                                                "gross_amount": {
                                                    "currency_code": "USD",
                                                    "value": "100.00"
                                                },
                                                "paypal_fee": {
                                                    "currency_code": "USD",
                                                    "value": "3.98"
                                                },
                                                "net_amount": {
                                                    "currency_code": "USD",
                                                    "value": "96.02"
                                                }
                                            },
                                            "invoice_id": "OrderInvoice-23_10_2024_12_27_32_pm",
                                            "status": "COMPLETED",
                                            "supplementary_data": {
                                                "related_ids": {
                                                    "order_id": "25M43554V9523650M",
                                                    "authorization_id": "0T620041CK889853A"
                                                }
                                            },
                                            "payee": {
                                                "email_address": "merchant@example.com",
                                                "merchant_id": "YXZY75W2GKDQE"
                                            },
                                            "create_time": "2024-10-23T20:55:19Z",
                                            "update_time": "2024-10-23T20:55:19Z",
                                            "links": [
                                                {
                                                    "href": "https://api-m.sandbox.paypal.com/v2/payments/captures/74L756601X447022Y",
                                                    "rel": "self",
                                                    "method": "GET"
                                                },
                                                {
                                                    "href": "https://api-m.sandbox.paypal.com/v2/payments/captures/74L756601X447022Y/refund",
                                                    "rel": "refund",
                                                    "method": "POST"
                                                },
                                                {
[...]
